<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class Lib_mail
{

	public function __construct()
	{
		$this->smtp_host = MAIL_SMTP;
		$this->smtp_user = MAIL_USER;
		$this->smtp_pass = MAIL_PWD;
		$this->smtp_name = MAIL_NAME;
		$this->smtp_port = MAIL_PORT;

		if (defined('MAIL_SSL')) {
			$mail_ssl = MAIL_SSL;
		} else {
			$mail_ssl = 1;
		}

		$this->ci = &get_instance();
		$config['newline']   = "\r\n";
		$config['crlf']      = "\r\n";
		$config['protocol']  = 'smtp';
		$config['smtp_host'] = $this->smtp_host;
		$config['smtp_user'] = $this->smtp_user;
		$config['smtp_pass'] = $this->smtp_pass;
		$config['smtp_port'] = $this->smtp_port;
		if ($mail_ssl == 1) {
			$config['smtp_crypto'] = 'ssl';
		}
		$config['charset']   = 'utf-8';
		$config['wordwrap']  = TRUE;
		$config['mailtype']  = 'html';
		$this->ci->load->library('email', $config);
	}

	//发送邮件
	public function mail_send($title, $body, $email)
	{
		$this->ci->email->from($this->smtp_user, $this->smtp_name);
		$this->ci->email->to($email);
		$this->ci->email->subject($title);
		$this->ci->email->message($body);
		$res = $this->ci->email->send();
		if ($res) {
			return $this->ci->email->print_debugger();
		} else {
			return false;
		}
	}
}
